summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndy Wingo <wingo@pobox.com>2007-05-05 17:33:34 +0200
committerAndy Wingo <wingo@pobox.com>2007-05-05 17:33:34 +0200
commit81c20c6b24d1e61b84f088162d9b722f62470472 (patch)
tree8138299b5e5107c54cbb67ae8eb7274d46103196
parent4f2a0521276dff952d4fd728aa449dda2a4f08b4 (diff)
parent3b0edcd572bb1d02652d44dea62932892ae0f713 (diff)
downloadguile-gnome-81c20c6b24d1e61b84f088162d9b722f62470472.tar.gz
merge in gtksourceview pkg changes
-rw-r--r--ChangeLog5
-rwxr-xr-xscripts/maint/upload-to-ftp.gnu.org21
2 files changed, 26 insertions, 0 deletions
diff --git a/ChangeLog b/ChangeLog
index 0738530..a780cad 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -2,6 +2,11 @@
* autogen-pkg.sh: Depend on g-wrap >= 1.9.8.
+2006-12-18 Andy Wingo <wingo@pobox.com>
+
+ * scripts/maint/upload-to-ftp.gnu.org: Add the skeleton of a
+ ftp-upload.gnu.org helper.
+
2006-12-17 Andy Wingo <wingo@pobox.com>
* == Released guile-gnome-gstreamer version 0.9.90 ==
diff --git a/scripts/maint/upload-to-ftp.gnu.org b/scripts/maint/upload-to-ftp.gnu.org
new file mode 100755
index 0000000..7e70419
--- /dev/null
+++ b/scripts/maint/upload-to-ftp.gnu.org
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+file=$1
+
+if test -z "$file"; then
+ echo "usage: $0 FILE">&2; exit 1
+fi
+
+package=`echo "$file" | perl -p -e 's/-[0-9]+(\.[0-9]+)*.tar.gz//'`
+
+gpg -b $file
+
+cat >$file.directive <<EOF
+version: 1.1
+directory: guile-gnome/$package
+filename: $file
+comment: new version of $package
+EOF
+gpg --clearsign $file.directive